#
# spec file for package Modules (Version 3.1.6)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcl tcl-devel tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           Modules
BuildRequires:  tcl-devel xorg-x11-devel
URL:            http://modules.sourceforge.net/
Version:        3.1.6
Release:        50.2
Summary:        Environment Modules
License:        BSD, GPL
Group:          System/Management
Requires:       tcl 
Autoreqprov:    on
Source:         modules-%{version}.tar.bz2
Patch:          modules-%{version}.dif
Patch1:         modules_tmpfile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       environment-modules
Obsoletes:      environment-modules

%description
The Modules package provides for dynamic modification of a user's
environment with module files.	Each module file contains the
information needed to configure the shell for an application. Once the
package is initialized, the environment can be modified dynamically on
a per-module basis using the module command that interprets module
files. Typically, module files instruct the module command to alter or
set shell environment variables, such as PATH or MANPATH. Module files
may be shared by many users on a system and users may have their own
collection to supplement or replace the shared module files.  The
modules environment is common on SGI/Crays and many workstation farms.



Authors:
--------
    John L. Furlan <jlf@behere.com>
    Peter W. Osel <pwo@Osel.DE>
    Jens  Hamisch <Jens.Hamisch@Strawberry.COM>
    R.K. Owen <rk@owen.sj.ca.us>

%debug_package
%prep
%setup -q -n modules-%{version}
%patch
%patch1 -p1

%build
#autoreconf --force --install
autoconf
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" ./configure \
                --prefix=/usr \
                --with-version-path=/usr/share/modules \
                --with-module-path=/usr/share/modules/modulefiles \
		--mandir=%{_mandir} \
                --with-etc-path=/etc \
                --with-skel-path=/etc/skel \
                --with-tcl-libraries=/usr \
				--without-x
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/share/modules
install -d $RPM_BUILD_ROOT/etc/profile.d
install -m 644 etc/global/profile.modules $RPM_BUILD_ROOT/etc/profile.d/modules.sh
install -m 644 etc/global/csh.modules $RPM_BUILD_ROOT/etc/profile.d/modules.csh
make DESTDIR=$RPM_BUILD_ROOT install
rm $RPM_BUILD_ROOT/usr/bin/mkroot

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc xref/* ChangeLog LICENSE.GPL PROBLEMS README  TODO doc/Modules-Paper.doc 
/usr/bin/modulecmd
%dir /usr/share/modules
/usr/share/modules/*
/usr/bin/add.modules
/etc/profile.d/modules.*
%doc %{_mandir}/man4/*
%doc %{_mandir}/man1/*

%changelog -n Modules
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 - mrueckert@suse.de
- Remove temporary files if they are no longer used.
  (#73973,#144398)
* Tue Jan 17 2006 - mrueckert@suse.de
- fix version path so modules find its configs again
* Mon Sep 13 2004 - nashif@suse.de
- Fixed trap call in profile.d script (#45056)
* Thu Sep 02 2004 - nashif@suse.de
- #43781: Fixed segfault, verify tmp file was created.
* Sat Aug 14 2004 - nashif@suse.de
- Renamed package
- Fixed mkstemp (#43781)
* Sat Apr 24 2004 - nashif@suse.de
- Added -fno-strict-aliasing to CFLAGS
* Sat Jan 10 2004 - adrian@suse.de
- use x-devel-packages
* Sat May 17 2003 - nashif@suse.de
- Fixed file list in spec file
* Tue Aug 06 2002 - nashif@suse.de
- fixed sourcing of global configuration file
* Mon Feb 11 2002 - nashif@suse.de
- new version: 3.1.6
* Wed Jun 06 2001 - nashif@suse.de
- Fixed configure.in
* Mon Feb 19 2001 - nashif@suse.de
- Initial Release (Version 3.1.1)
